#!/usr/bin/env python
import serial
import time
import datetime


def totimestamp(d):
        """Convert a datetime into a timestamp.
        Gets rid of daylight saving adjustments"""
        if d is None:
                return None
        else:
                t = list(d.timetuple())
                t[-1] = 0
                return int(time.mktime(tuple(t)))

serial_port = serial.Serial("/dev/probe",b 9600,timeout=0.25);

while True:
    for probe in range(30,35):
	    cmd ="rtcget %d\r" % ((probe) )
	    serial_port.write(cmd)
	    resp = serial_port.readlines(None)
	    probetime = -1
	    for line in resp:
		    try:
			    probetime = int(line)
		    except:
			    pass
	    if (probetime != -1):
		    now = totimestamp(datetime.datetime.utcnow())
		    delta = probetime - now
		    print "Probe: %d Received time %d. Delta %d" % (probe, probetime, delta) 
	    else:
		    print "Probe: %d. No reply" % probe 

		    
	    time.sleep(2)
	    
