#!/usr/bin/env python
import serial
import sys
import time
import datetime


#: 1344369600
#Human time (GMT): Tue, 07 Aug 2012 20:00:00 GMT
#Human time (your time zone): Tue 07 Aug 2012 08:00:00 PM GMT

serial_port = serial.Serial("/dev/probe", 9600,timeout=2);

def totimestamp(d):
        """Convert a datetime into a timestamp.
        Gets rid of daylight saving adjustments"""
        if d is None:
                return None
        else:
                t = list(d.timetuple())
                t[-1] = 0
                return int(time.mktime(tuple(t)))

def rtcalarmset(probe, epoch, period, duration ):
    cmd ="rtcalarmset %d %d %d %d\r" % (probe, epoch, period, duration )
    print "Setting alarm on probe %d (%s)" % (probe, cmd.strip())
    serial_port.write(cmd)
    resp = serial_port.readlines(None);

    for line in resp:
        l = line.strip(' \t\n\r')
	if l == "OK":
            return 0

    return -1



def main():
    probe = int(sys.argv[1])
    starttime =  1344369600
    print "Alarm set "
    if  rtcalarmset(probe, starttime, 60, 10):
        print "Fail"
    else:
        print "Success"

    exit(0)


if __name__ == "__main__":
	if len(sys.argv) != 2:
		print "Usage: %s ID" % sys.argv[0]
		sys.exit(1)
	
	main()
    
