#!/usr/bin/env python

import serial
import time
import datetime


def totimestamp(d):
        """Convert a datetime into a timestamp.
        Gets rid of daylight saving adjustments"""
        if d is None:
                return None
        else:
                t = list(d.timetuple())
                t[-1] = 0
                return int(time.mktime(tuple(t)))



nowtime = datetime.datetime.utcnow()

serial_port = serial.Serial("/dev/probe", 9600,timeout=0.5);
serial_port.write("get time\r")
resp = serial_port.readlines(None)
timestamp_full = resp[10]
ts = timestamp_full.split("\t")[1].rstrip()
diff = int(ts) - totimestamp(nowtime)



#print(resp)


#print(timestamp_full)



print "From EFM: \t" + ts
print "From PC \t" + str(totimestamp(nowtime))
print "Diff \t" + str(diff)

